#include <NonBlockingRtttl.h>                                   // Bibliothek zum Abspielen von alten Handy Melodien

const char* song1 = "Alvin und die Chipmonks:d=4,o=5,b=285:g,p,c,c,a,c,c,c,p,b,b,c6,c6,p,c,c,p,a,g,d,2g,d,2p,a,g,d,2g,a,p,g,p,c,c,a,c,c,c,p,b,b,c6,c6,p,c,c,p,a,g,d,2g,d,2p,";
const char* song2 = "Final Countdown:d=16,o=5,b=125:b,a,4b,4f,4p,8p,c6,b,8c6,8b,4a,4p,8p,c6,b,4c6,4f,4p,8p,a,g,8a,8g,8f,8a,4g.,f,g,4a.,g,a,8b,8a,8g,8f,4f,4c6,2b.,b,c6,b,a,1b";
const char* song3 = "Star Wars:d=8,o=6,b=180:f5,f5,f5,2a5.,2f.,d,d,c,2a.,4f.,d,d,c,2a.,4f.,d,d,d,2c,4p,f5,f5,f5,2a5.";

#define BUZZER_PIN 33
#define SENSOR_PIN 26
#define LED_ROT 27                                              //Pin Belegungen und Variablen festgelegt
#define LED_GRUEN 12
#define LED_BLAU 32
int Analog_Wert = 0;


void setup() {
  pinMode(BUZZER_PIN, OUTPUT);
  pinMode(SENSOR_PIN, INPUT);
  pinMode(LED_ROT, OUTPUT);                                     // Ein/Ausgänge der Pin´s (GPIO`S)bestimmt
  pinMode(LED_GRUEN, OUTPUT);
  pinMode(LED_BLAU, OUTPUT);

  Serial.begin(9600);                                           // Serielle Verbindung (Bautrate)
}


void loop() {                                                   // Hauptschleife

  Serial.println(Analog_Wert);                                  // Hier wird der der analoge Wert auf den Seriellen Monitor/Plotter übersendet

  Analog_Wert = analogRead(SENSOR_PIN);                         // Der analoge Wert entspricht den Werten die am Sensor gelesen werden

  if (!rtttl::isPlaying()) {                                    // Spielt mit dem Programm aus der Bibliothek

    if (Analog_Wert <= 1300)                                    // Wenn der gelesene Wert unter 1300 liegt, dann
    {
      digitalWrite(LED_ROT, HIGH);                              // rote LED Ein, alle anderen Aus
      digitalWrite(LED_BLAU, LOW);
      digitalWrite(LED_GRUEN, LOW);
      rtttl::begin(BUZZER_PIN, song1);                          // Buzzer beginnt Song 1 (Alvin und die Chipmonks) zu spielen
    }

    else if ((Analog_Wert > 1300) && (Analog_Wert <= 1500))     // liegt der Wert zwischen 1300 und 1500
    {
      digitalWrite(LED_BLAU, HIGH);                             // LED blau Ein, alle anderen Aus
      digitalWrite(LED_ROT, LOW);
      digitalWrite(LED_GRUEN, LOW);
      rtttl::begin(BUZZER_PIN, song2);                          // Buzzer beginnt Song 2 (Final Countdown) zu spielen
    }

    else if ((Analog_Wert > 1500) && (Analog_Wert <= 2000))     // liegt der Wert zwischen 1500 und 2000
    {
      digitalWrite(LED_GRUEN, HIGH);                            // LED grün Ein, alle anderen Aus
      digitalWrite(LED_BLAU, LOW);
      digitalWrite(LED_ROT, LOW);
      rtttl::begin(BUZZER_PIN, song3);                          // Buzzer beginnt Song 3 (Star Wars) zu spielen
    }

    else if (Analog_Wert > 2000)                                // Ist der Wert über 2000,
    {
      rtttl::done();                                            // spielt das Aktuelle Lied zu Ende und wird nicht
      digitalWrite(LED_BLAU, LOW);                              // erneut gestartet
      digitalWrite(LED_ROT, LOW);
      digitalWrite(LED_GRUEN, LOW);                             // alle LED´s Aus
    }
  }

  else
  {
    rtttl::play();                                              // Wiedergabe mit dem Programm aus der Bibliothek starten
  }
}
